/*
**    TP CPE Lyon
**    Copyright (C) 2013 Damien Rohmer
**
**    This program is free software: you can redistribute it and/or modify
**    it under the terms of the GNU General Public License as published by
**    the Free Software Foundation, either version 3 of the License, or
**    (at your option) any later version.
**
**   This program is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**    GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public License
**    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include <material.hpp>

namespace cpe
{
material::material(const color& c_,const shading& shading_parameters_,float reflection_power_parameter,double ior_,double refraction_intensity_)
    :c(c_),shading_parameters(shading_parameters_),reflection_power(reflection_power_parameter),ior(ior_),refraction_intensity(refraction_intensity_){}
}
