/*
**    TP CPE Lyon
**    Copyright (C) 2013 Damien Rohmer
**
**    This program is free software: you can redistribute it and/or modify
**    it under the terms of the GNU General Public License as published by
**    the Free Software Foundation, either version 3 of the License, or
**    (at your option) any later version.
**
**   This program is distributed in the hope that it will be useful,
**    but WITHOUT ANY WARRANTY; without even the implied warranty of
**    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**    GNU General Public License for more details.
**
**    You should have received a copy of the GNU General Public License
**    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


#ifndef RAY_GENERATOR_HPP
#define RAY_GENERATOR_HPP

#include <ray.hpp>
#include <camera.hpp>

namespace cpe
{

/** \brief build a ray starting from a camera center, and passing through the specific pixel (kx,ky)*/
ray ray_generate(float kx,float ky,int Nx,int Ny,const camera& cam);

}

#endif
